function findEEROGI1v1(nmixYes,nmixNo,thresh)

trainlabs{1} = 'EN';
trainlabs{2} = 'GE';
trainlabs{3} = 'HI';
trainlabs{4} = 'JA';
trainlabs{5} = 'MA';
trainlabs{6} = 'SP';

scores = [];
counter = 1;
for n = 1:(length(trainlabs)-1)
  for m = (n+1):length(trainlabs)
    str = sprintf('ogi/%svs%s.predT',trainlabs{n},trainlabs{m});
    scores(:,counter) = dlmread(str);
    counter = counter + 1;
  end
end

testscores = [];
counter = 1;
for n = 1:(length(trainlabs)-1)
  for m = (n+1):length(trainlabs)
    str = sprintf('ogi/%svs%s.pred',trainlabs{n},trainlabs{m});
    testscores(:,counter) = dlmread(str);
    counter = counter + 1;
  end
end
testLabels = textread('ogi/test.lab','%s');
[numLabs,ndim] = size(testscores);
if (numLabs ~= length(testLabels))
  error('ERROR!')
end
TP = 0;
FP = 0;
TN = 0;
FN = 0;
trainLabels = textread('ogi/train.lab','%s');
for n = 1:length(trainlabs)
  gmmYes = gmm(ndim,nmixYes,'diag');
  gmmNo = gmm(ndim,nmixNo,'diag');
  options = foptions;
  options(14) = 10;
  I = find(strcmp(trainLabels,trainlabs{n})==1);
  gmmYes = gmminit(gmmYes,scores(I,:),options);
  J = find(strcmp(trainLabels,trainlabs{n})~=1);
  gmmNo = gmminit(gmmNo,scores(J,:),options);
  emoptions = zeros(1,18);
  emtions(14) = 20;
  gmmYes = gmmem(gmmYes,scores(I,:),emoptions);
  gmmNo = gmmem(gmmNo,scores(J,:),emoptions);
  for k = 1:numLabs
    testLLR = log(gmmprob(gmmYes,testscores(k,:)))-log(gmmprob(gmmNo,testscores(k,:)));
    if (strcmp(testLabels{k},trainlabs{n})==1)
      if (testLLR > thresh)
	TP = TP + 1;
      else
	FN = FN + 1;
      end
    else
      if (testLLR < thresh)
	TN = TN + 1;
      else
	FP = FP + 1;
	testLLR = testLLR;
      end
    end
  end
end

str = sprintf('Thresh %1.3f: TP = %d,TN = %d,FP = %d,FN = %d',thresh,TP,TN,FP,FN);
disp(str)
