function findMaxVoteNIST(numSV,weight)
numSV = numSV
d = dir('nist/*.pred');
trainlans{1} = 'arabic';
trainlans{2} = 'english';
trainlans{3} = 'farsi';
trainlans{4} = 'french';
trainlans{5} = 'german';
trainlans{6} = 'hindi';
trainlans{7} = 'japanese';
trainlans{8} = 'korean';
trainlans{9} = 'mandarin';
trainlans{10} = 'spanish';
trainlans{11} = 'tamil';
trainlans{12} = 'vietnamese';

trueLabs = textread('nist/test.lab','%s');
numLabs = length(trueLabs);
votes = zeros(numLabs,length(trainlans));
for n = 1:(length(trainlans)-1)
  for m = n+1:length(trainlans)
    str = sprintf('nist/%svs%s.pred',trainlans{n},trainlans{m});
    x = dlmread(str);
    for k = 1:numLabs
      if (x(k) >= 0)
	votes(k,n) = votes(k,n) + 1;
      else
	votes(k,m) = votes(k,n) + 1;
      end
%      str = sprintf('%svs%s: %1.1f, votes for 1: %d votes for 2: %d',trainlans{n},trainlans{m},x(k),votes(k,n),votes(k,m));
%      disp(str)
    end
  end
end
guessLabs = cell(1,numLabs);
fid = fopen('checkThese.txt','w');
for k = 1:numLabs
  [maxVote,I] = max(votes(k,:));
  guessLabs{k} = trainlans{I};
  fprintf(fid,'%s\n',guessLabs{k});
end
fclose(fid);
correct = 0;
for k = 1:numLabs
  str = sprintf('Comparing %s vs %s\n',guessLabs{k},trueLabs{k});
%  disp(str)
  if (strcmp(guessLabs{k},trueLabs{k})==1)
    guessLabs{k};
    trueLabs{k};
    
    correct = correct + 1;
  end
end
er = 100*(1-correct/numLabs);
str = sprintf('nist_er_%d_%d.error_rate',numSV,weight);
dlmwrite(str,er)
quit