function findMaxVoteOGI(numSV)
numSV = numSV
d = dir('ogi/*.pred');
trainlans{1} = 'EN';
trainlans{2} = 'GE';
trainlans{3} = 'HI';
trainlans{4} = 'JA';
trainlans{5} = 'MA';
trainlans{6} = 'SP';



trueLabs = textread('ogi/test.lab','%s');
numLabs = length(trueLabs);
votes = zeros(numLabs,length(trainlans));
for n = 1:(length(trainlans)-1)
  for m = n+1:length(trainlans)
    str = sprintf('ogi/%svs%s.pred',trainlans{n},trainlans{m});
    x = dlmread(str);
    for k = 1:numLabs
      if (x(k) >= 0)
	votes(k,n) = votes(k,n) + 1;
      else
	votes(k,m) = votes(k,n) + 1;
      end
%      str = sprintf('%svs%s: %1.1f, votes for 1: %d votes for 2: %d',trainlans{n},trainlans{m},x(k),votes(k,n),votes(k,m));
%      disp(str)
    end
  end
end
guessLabs = cell(1,numLabs);
fid = fopen('checkThese.txt','w');
for k = 1:numLabs
  [maxVote,I] = max(votes(k,:));
  guessLabs{k} = trainlans{I};
  fprintf(fid,'%s\n',guessLabs{k});
end
fclose(fid);
correct = 0;
for k = 1:numLabs
  str = sprintf('Comparing %s vs %s\n',guessLabs{k},trueLabs{k});
%  disp(str)
  if (strcmp(guessLabs{k},trueLabs{k})==1)
    guessLabs{k};
    trueLabs{k};
    
    correct = correct + 1;
  end
end
er = 100*(1-correct/numLabs);
str = sprintf('ogi_er_%d.error_rate',numSV);
dlmwrite(str,er)
quit