#!/usr/bin/perl

if($ARGV[0] eq "" || $ARGV[1] eq "")
{
	printf "SYNTAX: expand_paths.pl input_list list_with_paths\n";
	exit(1);
}

open L2, $ARGV[1] or die "Can not open the file: $ARGV[1]";
while($l = <L2>)
{
	chomp $l;
	$l =~ /(.+\/)/;
	$path = $1;
	$l =~ /\/([^\/]+)$/;
	$file = $1;
	$file = $l if($file eq "");
	$paths{$file} = $path;
}
close L2;

open L1, $ARGV[0] or die "Can not open the file: $ARGV[0]";
while($l = <L1>)
{
	chomp $l;
	$l =~ /\/([^\/]+)$/;
	$file = $1;
	$file = $l if($file eq "");
	$complete_fname = "$paths{$file}$file";
	print "$complete_fname\n";
}
close L1;


