#!/usr/local/bin/perl


$set = $ARGV[0]; #MLF file

open(FIN,"MLFs/$set") || die("Cannot open MLF file\n");
$set =~ s/\.mlf//g;
while(<FIN>)
{
    $filter = index($_,"rec");
    if ($filter == -1)
    {
	next;
    }
    chomp($curLine = $_);
    $curLine =~ s/\"\*\///;
    $curLine =~ s/\"//g;
#    print("$curLine\n");
    open(FOUT,">nist/$set/$curLine") || die("Canot write to nist/$set/$curLine\n");
    $keepGoing = 0;
    while ($keepGoing == 0)
    {
	$curLine = <FIN>;
	chomp($curLine = $curLine);
	$temp = $curLine;
	for ($n = 0; $n < 10; $n++)
	{
	    $temp =~ s/ //g;
	}
	if ($temp eq "\.")
	{
	    $keepGoing = 1;
	}
	else
	{
	    print FOUT "$curLine\n";
	}
    }
    close(FOUT);
}
close(FIN);
