function count1vAll(testFile)

d = dir('*.pred');
preds = [];
for ii = 1:length(d) %<---Each file is $label.pred
  x = dlmread(d(ii).name);
  preds = [preds x]; %<---Each column is $label pos class svm score
  labels{ii} = d(ii).name(1:end-5);
end
[dummy,y] = max(preds'); %<---Maximum is guessed class
counter = 1;
predLabs{1} = labels{y(1)};

for ii = 2:length(y)
  predLabs{ii} = labels{y(ii)};

end

[dummy,trues] = textread(testFile,'%s %s');

for ii = 1:length(trues)
  trueLab = trues{ii};
  if (length(regexp(trueLab,'\.')) == 0)
    trueLab1 = trueLab;
  else
    trueLab1 = trueLab(1:(regexp(trueLab,'\.')-1));
  end
  trueLab =  trueLab1;
  if (sum(strcmp(trueLab,labels)) == 0)
    str = sprintf('Error: true label %s not found',trueLab);
    error(str)
  end
  trues{ii} = trueLab;
end

confMat = zeros(length(labels));
for ii = 1:length(trues)

  if (sum(strcmp(predLabs{ii},labels))~=1)
    disp('should not be here')
  else
    I = find(strcmp(predLabs{ii},labels) == 1);
  end
  if (sum(strcmp(trues{ii},labels))~=1)
    error('should not be here')
  else
    J = find(strcmp(trues{ii},labels) == 1);
  end
  confMat(I,J) = confMat(I,J) + 1;
end

fid = fopen('1vAll.conf','w');
fprintf(fid,'\t');
for ii = 1:length(labels)
  fprintf(fid,'\t%s',labels{ii});
end
fprintf(fid,'\n');
for I = 1:length(labels)
  fprintf(fid,'%s',labels{I});
  for J = 1:length(labels)
    fprintf(fid,'\t%d',confMat(I,J));
  end
  fprintf(fid,'\n');
end
fclose(fid);
quit