function find_OGI_ER

d = dir('ogi/*.pred');
scores = [];
for n = 1:length(d)
  curFile = d(n).name;
  label{n} = curFile(1:end-5);
  curFile = sprintf('ogi/%s',curFile);
  scores(:,n) = dlmread(curFile);
end
trues = textread('ogi/test.lab','%s');
[numTest,numLabels] = size(scores)
fid = fopen('ogi/out1vA.txt','w');
fprintf(fid,'True\tPrediction\n');
correct = 0;
%temp = scores(1:10,:);
%myScores = temp
for n = 1:numTest
  [dummy,I] = max(scores(n,:));
%  str = sprintf('For utterance %d: true = %s,pred = %s, score = %2.4f, index = %d',n,trues{n},label{I},dummy,I);
%  disp(str)
  fprintf(fid,'%s\t%s\n',trues{n},label{I});
  if (strcmp(trues{n},label{I}) == 1)
    correct = correct + 1;
  else
    temp = scores(n,:);
    temp = temp
    str = sprintf('utterance %d incorrect',n);
    disp(str)
  end
end
fclose(fid);
correct = correct
ER = 1 - correct/numTest;
str = sprintf('The error rate is %2.2f',ER*100);
disp(str)
quit