#!/usr/local/bin/perl


$set = $ARGV[0]; #set Recongized

opendir(DIR,"nist/$set") || die("Cannot open directory nist/$set\n");
@files = readdir(DIR);
closedir(DIR);
%utterances = ();

foreach $file (@files)
{
    if (($file eq "\.") || ($file eq "\.\."))
    {
	next;
    }
    $file =~ s/\.rec//g;
    ($start,$utterNum,$channel,$splitNum) = split(/\_/,$file);
    $curUtter = "${utterNum}_$channel";
    if (exists $utterances{$curUtter})
    {
	$utterances{$curUtter}++;
    }
    else
    {

	$utterances{$curUtter} = 0;
    }
}

open(FOUT,">nist/curSet.scp");
open(FOUT1,">nist/setCount.txt");
foreach $curUtter (sort keys %utterances)
{
    print FOUT1 "${start}_${curUtter} $utterances{$curUtter}\n";
    for ($n = 0; $n <= $utterances{$curUtter}; $n++)
    {
	if ($n < 10)
	{
	    $splitNum = "00$n";
	}
	elsif ($n < 100)
	{
	    $splitNum = "0$n";
	}
	else
	{
	    $splitNum = "$n";
	}
	print FOUT "${start}_${curUtter}_${splitNum}\n";
    }
}
close(FOUT);
close(FOUT1);
