#!/usr/local/bin/perl


$set = $ARGV[0]; #set Recongized

opendir(DIR,"nist/$set") || die("Cannot open directory nist/$set\n");
@files = readdir(DIR);
closedir(DIR);
%utterances = ();

foreach $file (@files)
{
    if (($file eq "\.") || ($file eq "\.\."))
    {
	next;
    }
    $file =~ s/\.rec//g;
	#print "$file\n"; #TODO:remove
    #($project,$group,$gender,$age,$subID,$subset,$sentgroup,$sentID) = split(/\_/,$file);#TODO:remove
	($project,$group,$gender,$age,$subID,$sentgroupID) = split(/[\_,\-]+/,$file);
	#print "$project\n"; #TODO:remove
	#print "$group\n"; #TODO:remove
	#print "$gender\n"; #TODO:remove
	#print "$age\n"; #TODO:remove
	#print "$subID\n"; #TODO:remove
	#print "$sentgroupID\n"; #TODO:remove
    if (exists $utterances{$curUtter})
    {
	$utterances{$curUtter}++;
    }
    else
    {

	$utterances{$curUtter} = 0;
    }
}

open(FOUT,">nist/curSet.scp");
open(FOUT1,">nist/setCount.txt");
foreach $curUtter (sort keys %utterances)
{
    print FOUT1 "${project}_${group}_${gender}_${age}_${subID}_${sentgroupID}\n";
    for ($n = 0; $n <= $utterances{$curUtter}; $n++)
    {
	print FOUT "${project}_${group}_${gender}_${age}_${subID}_${sentgroupID} \n";
    }
}
close(FOUT);
close(FOUT1);
