#!/usr/local/bin/perl


$set = $ARGV[0]; #set Recongized

opendir(DIR,"nist/$set") || die("Cannot open directory nist/$set\n");
@files = readdir(DIR);
closedir(DIR);
%utterances = ();

foreach $file (@files)
{
    if (($file eq "\.") || ($file eq "\.\."))
    {
	next;
    }
    $file =~ s/\.rec//g;
    ($utterNum,$splitNum) = split(/\_/,$file);
    if (exists $utterances{$utterNum})
    {
	$utterances{$utterNum}++;
    }
    else
    {

	$utterances{$utterNum} = 0;
    }
}
open(FOUT,">nist/curSet.scp");
open(FOUT1,">nist/setCount.txt");
foreach $utterNum (sort keys %utterances)
{
    print FOUT1 "${utterNum} $utterances{$utterNum}\n";
    for ($n = 0; $n <= $utterances{$utterNum}; $n++)
    {
	if ($n < 10)
	{
	    $splitNum = "00$n";
	}
	elsif ($n < 100)
	{
	    $splitNum = "0$n";
	}
	else
	{
	    $splitNum = "$n";
	}
	print FOUT "${utterNum}_${splitNum}\n";
    }
}
close(FOUT);
close(FOUT1);
