#!/usr/bin/perl

$language=$ARGV[0];
###################################################################################
##	Evaluation
###################################################################################
open(LATEX,">latex.txt") || die("Cannot open latex.txt");
#for($class=0;$class<=$numatts-1;$class++) {
	 $TP=0; #true positives
	 $FP=0; #false positives
	 $TN=0; #true negatives
	 $FN=0; #false negatives

open(FIN,"nist/$language.comp") || die("Cannot open comp file\n");
while($line= <FIN>){
	chomp $line;
	#print "$line\n";
	($lan, $yesno, $ans) = split /\s+/, $line, 3;
	#print "$yesno $ans\n";
	#print "counter: $counter\n";
	#now check for TP,FP,TN,FN
#if ($counter==$class)
#{
	if ($yesno eq "yes" and $ans eq "correct") {$TP++;}
	#print "$TP\n";
	if ($yesno eq "yes" and $ans eq "wrong") {$FP++;}
	#print "$FP\n";
	if ($yesno eq "no" and $ans eq "correct") {$TN++;}
	if ($yesno eq "no" and $ans eq "wrong") {$FN++;}
	#}
	#$counter++;
	#$globalcount++;
	#if ($counter == $numatts){$counter=0;}
}
print "$language: TP: $TP FP: $FP TN: $TN FN $FN\n";
#if ($TN == 0 || $TP == 0) {$Acc = $Prec = $Reca = $FScore = "nAn";}
#else{

$Acc=100*($TP+$TN)/($TP+$FP+$TN+$FN);
$Prec=100*($TP)/($TP+$FP);
$Reca=100*($TP)/($TP+$FN);
$FScore=(2*$TP)/((2*$TP)+$FP+$FN);
#printf MATLAB ("%5.1f %5.1f %5.1f %5.2f \n",$Acc,$Prec,$Reca,$FScore);
#}
printf("$language: Acc=%5.1f\%, Prec=%5.1f\%, Reca=%5.1f\%, FScore=%5.2f\n",$Acc,$Prec,$Reca,$FScore);
# print latex formatted table
printf LATEX ("%s %s",$attributeslatex[$class],"\&");
printf LATEX ("%5.1f \& %5.1f \& %5.1f \& %5.2f \\\\ \\hline\n",$Acc,$Prec,$Reca,$FScore);
