function marcoOGI(nmixYes,nmixNo)

trainlabs{1} = 'EN';
trainlabs{2} = 'GE';
trainlabs{3} = 'HI';
trainlabs{4} = 'JA';
trainlabs{5} = 'MA';
trainlabs{6} = 'SP';
ndim = length(trainlabs);
scores = [];
for n = 1:length(trainlabs)
  str = sprintf('ogi/%s.predT',trainlabs{n});
  scores(:,n) = dlmread(str);
end
testscores = [];
for n = 1:length(trainlabs)
  str = sprintf('ogi/%s.pred',trainlabs{n});
  testscores(:,n) = dlmread(str);
end
testLabels = textread('ogi/test.lab','%s');
[numLabs,dummy] = size(testscores);
if (numLabs ~= length(testLabels))
  error('ERROR!')
end

Neg = fopen('NEG_place_text_rec_newlabel','w');
Pos = fopen('POS_place_text_rec_newlabel','w');

trainLabels = textread('ogi/train.lab','%s');
for n = 1:length(trainlabs)
  gmmYes = gmm(ndim,nmixYes,'diag');
  gmmNo = gmm(ndim,nmixNo,'diag');
  options = foptions;
  options(14) = 10;
  I = find(strcmp(trainLabels,trainlabs{n})==1);
  gmmYes = gmminit(gmmYes,scores(I,:),options);
  J = find(strcmp(trainLabels,trainlabs{n})~=1);
  gmmNo = gmminit(gmmNo,scores(J,:),options);
  emoptions = zeros(1,18);
  emtions(14) = 20;
  gmmYes = gmmem(gmmYes,scores(I,:),emoptions);
  gmmNo = gmmem(gmmNo,scores(J,:),emoptions);


  for k = 1:numLabs
    testLLR = log(gmmprob(gmmYes,testscores(k,:)))-log(gmmprob(gmmNo,testscores(k,:)));
    if (strcmp(testLabels{k},trainlabs{n})==0)
       fprintf(Neg,'%f\n',testLLR);
    else
        fprintf(Pos,'%f\n',testLLR);
    end
  end
end
fclose(Neg);
fclose(Pos);

