function findEERNIST(nmixYes,nmixNo,thresh)
nmixYes=1; nmixNo=1;
trainlabs{1} = 'norwegian';
trainlabs{2} = 'arabic';
 trainlabs{3} = 'english';
  trainlabs{4} = 'farsi';
 % trainlabs{1} = 'norwegian';
  trainlabs{5} = 'french';
  trainlabs{6} = 'german';
  trainlabs{7} = 'hindi';
  trainlabs{8} = 'japanese';
 trainlabs{9} = 'korean';
 trainlabs{10} = 'mandarin';
 trainlabs{11} = 'spanish';
 trainlabs{12} = 'tamil';
  trainlabs{13} = 'vietnamese';
%trainlabs{1} = 'canadian';
%trainlabs{2} = 'farsi';
%trainlabs{3} = 'german';
%trainlabs{13} = 'norwegian';

ndim = length(trainlabs);
scores = [];
for n = 1:length(trainlabs)
  str = sprintf('nist/%s.predT',trainlabs{n});
  scores(:,n) = dlmread(str);
end
testscores = [];
for n = 1:length(trainlabs)
  str = sprintf('nist/%s.pred',trainlabs{n});
  testscores(:,n) = dlmread(str);
end
testLabels = textread('nist/test.lab','%s');
[numLabs,dummy] = size(testscores);
if (numLabs ~= length(testLabels))
  error('ERROR!')
end

Neg = fopen('NEG_PLACE_GRAM','w'); %changed to place -eystein
Pos = fopen('POS_PLACE_GRAM','w'); %changed to place -eystein

trainLabels = textread('nist/train.lab','%s');
for n = 1:length(trainlabs)
  gmmYes = gmm(ndim,nmixYes,'diag');
  gmmNo = gmm(ndim,nmixNo,'diag');
  options = foptions;
  options(14) = 10;
  I = find(strcmp(trainLabels,trainlabs{n})==1);
  gmmYes = gmminit(gmmYes,scores(I,:),options);
  J = find(strcmp(trainLabels,trainlabs{n})~=1);
  gmmNo = gmminit(gmmNo,scores(J,:),options);
  emoptions = zeros(1,18);
  emtions(14) = 20;
  gmmYes = gmmem(gmmYes,scores(I,:),emoptions);
  gmmNo = gmmem(gmmNo,scores(J,:),emoptions);

  for k = 1:numLabs
    testLLR = log(gmmprob(gmmYes,testscores(k,:)))-log(gmmprob(gmmNo,testscores(k,:)));
      if (strcmp(testLabels{k},trainlabs{n})==0)
   	fprintf(Neg,'%f\n',testLLR);
      else
   	fprintf(Pos,'%f\n',testLLR);
      end
  end
end

fclose(Neg);
fclose(Pos);
quit
