#!/usr/local/bin/perl
#
#
#
#

$testSet = $ARGV[0];

open(FIN,"$testSet.lab") || die("Could not open $testSet.lab");
%labs = ();
while(<FIN>)
{
    chomp($curLine = $_);
    ($uttNum,$label) = split(/ /,$curLine);
    ($label,$dummy) = split(/\./,$label);

    if (!(exists $labs{$uttNum}))
    {
	$labs{$uttNum} = $label;
    }
    else
    {
	die("Utterance $uttNum appears twice\n");
    }
}
close(FIN);

open(FIN,"nist/test.scp") || die("Could not open test set");
open(FOUT,">nist/test.lab");
while(<FIN>)
{
    chomp($curLine = $_);
    @parts = split(/\//,$curLine);
    $dummy = @parts;
    $dummy = $dummy - 1;
    $uttNum = @parts[$dummy];
    $uttNum =~ s/\.rec$//g;
    if (exists $labs{$uttNum})
    {
	print FOUT "$labs{$uttNum}\n";
    }
    else
    {
	die "$uttNum not found\n";
    }
}
close(FIN);
close(FOUT);
