#!/usr/local/bin/perl


$set = $ARGV[1];
$att = $ARGV[0]; 
open(FIN,"phn_$att") || die("Cannot open phn_$att\n"); 
%phns = ();
$counter = 1; 
while(<FIN>)
{
    chomp($curLine = $_); 
    $phns{$curLine} = $counter;
    $counter++;
}
close(FIN);

open(FIN,"nist/curSet.scp") || die("Cannot open nist/curSet.scp\n");
@files = <FIN>;
close(FIN);

foreach $file (@files)
{
    chomp($file = $file);
    open(FIN,"nist/$set/$file.rec") || die("Cannot open nist/$set/$file.rec\n");
    @lines = <FIN>;
    close(FIN);
    open(FOUT,">nist/$set/$file.rec") || die("Cannot write to nist/$set/$file.rec");
    foreach $line (@lines)
    {
	chomp($line = $line);
	$line =~ s/^\s+//g;
	($start,$stop,$phn,$score) = split(/\s+/,$line);
	if (!(exists $phns{$phn}))
	{
	    next;
	#    print "Line is $line";
	#    die("Error in $set/$file\: $phn not found in phone set for att\n");
	}
	$phn = $phns{$phn};
	print FOUT "$start $stop $phn $score\n";
    }
    close(FOUT);
}
