#!/bin/bash
lans="eng spa ger hin jap man"
#lans="hin"
contexts="TC LC RC"
for lan in $lans; do

HLEd -n dicts/non_compacted/dict_CI_place.dict -l '*' -i  attMLFs/non_compacted/CI/refCI_$lan".mlf"  LEDS/non_compacted/$lan"_place.led" phoneMLFs/$lan".mlf"

for context in $contexts; do
HLEd -n dicts/non_compacted/dict_$context"_place_"$lan".dict" -l '*' -i attMLFs/non_compacted/$context/ref$context"_"$lan".mlf" LEDS/non_compacted/$context".led" attMLFs/non_compacted/CI/refCI_$lan".mlf"
sort dicts/non_compacted/dict_$context"_place_"$lan".dict" -o dicts/non_compacted/dict_$context"_place_"$lan".dict"
done
done

contexts="CI TC LC RC"
for context in $contexts; do
	cd "/home/studenter/oyststa/LRE/create_place/EYSTEIN/attMLFs/non_compacted/$context"
	i=0
	for lan in $lans; do 
if [ "$i" = "0" ]; then
		cat ref$context"_"$lan".mlf" > combined_$context".mlf"
else
	tail -n +2 ref$context"_"$lan".mlf" >> combined_$context".mlf"
fi
	i=1
done
done

cd /home/studenter/oyststa/LRE/create_place/EYSTEIN
contexts="TC LC RC"
for context in $contexts; do
#finally, merge all dicts into one, for each context except CI.

for lan in $lans; do
	cat dicts/non_compacted/dict_$context"_place_"$lan".dict" >> temp1
done

sort -u temp1 > dicts/non_compacted/dict_$context"_place.dict"
rm temp1
# for lan in $lans; do
# rm dicts/non_compacted/dict_$context"_place_"$lan".dict"
# done
done