#!/bin/bash
list=$1
files=`cat $list`
#script to find duration of a set of files combined.
totdur=`echo "0" | bc`
for file in $files; do
	path="/talebase/data/speech_raw/OGI_MARCO"
	file_full=`find $path -name "$file"`
durtemp=`sox -r 8000 -e signed -b 16 $file_full -n stat 2>&1 | sed -n 's#^Length (seconds):[^0-9]*\([0-9.]*\)$#\1#p'`
durtemp=`echo $durtemp | bc`
totdur=$(echo "scale=2;$totdur+$durtemp" | bc)
done
echo "Duration of all files combined, in seconds:"
echo $totdur
echo "Durations of all files combined, in hours:"
totdur=$(echo "scale=2;$totdur/60/60" | bc)
echo $totdur
