#!/bin/sh

tmp_file=tmp/hcopy15mel_$$.cfg

echo "SOURCEKIND   = WAVEFORM                                          " >  $tmp_file
echo "SOURCEFORMAT = WAV                                               " >> $tmp_file
echo "SOURCERATE   = 1250                                              " >> $tmp_file
echo "BYTEORDER    = VAX                                               " >> $tmp_file
echo "TARGETFORMAT = HTK                                               " >> $tmp_file
echo "#TARGETKIND   = MFCC_D_A_E_Z                                     " >> $tmp_file
echo "TARGETKIND   = FBANK_D_A_E                                        " >> $tmp_file
echo "                                                                 " >> $tmp_file
echo "LOFREQ       = 64                                                " >> $tmp_file
echo "HIFREQ       = 4000                                              " >> $tmp_file
echo "NUMCHANS     = 15        # number of critical bands               " >> $tmp_file
echo "USEPOWER     = T        # using power spectrum                   " >> $tmp_file
echo "USEHAMMING   = T        # use hamming window on speech frame     " >> $tmp_file
echo "                                                                 " >> $tmp_file
echo "PREEMCOEF    = 0        # no preemphase                          " >> $tmp_file
echo "TARGETRATE   = 100000   # 10 ms frame rate                       " >> $tmp_file
echo "WINDOWSIZE   = 250000   # 25 ms window                           " >> $tmp_file
echo "SAVEWITHCRC  = F                                                 " >> $tmp_file
echo "                                                                 " >> $tmp_file
echo "#CEPLIFTER   = 22                                                " >> $tmp_file
echo "NUMCEPS      = 12                                                " >> $tmp_file
echo "WARPFREQ     = 1                                                 " >> $tmp_file
echo "WARPLCUTOFF  = 3400                                              " >> $tmp_file
echo "WARPUCUTOFF  = 3400                                              " >> $tmp_file


HCopy -T 1 -C tmp/hcopy15mel_$$.cfg -S $1
rm tmp/hcopy23mel_$$.cfg

#changed the targetkind to match the manner hcyop23mel_ script -eystein
