#!/bin/bash
iteration=$1
##################################################################################
## Kaldi training part
##################################################################################
#copying results to kaldi-trunk
cp -r /home/studenter/oyststa/LRE/Pfile2Kaldi/create_kaldi/kaldiformat/ark /home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/

#chmod +x /home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/steps/nnet/train.sh

cd /home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/
#rm -r data-fbank
#mkdir data-fbank
#cd data-fbank
#mkdir develop lang train test
cd /home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/exp
rm -r place_cd_ali_dev place_cd_ali_test place_cd_ali_train place_pretrain-dbn-dnn place_pretrain-dbn
mkdir place_cd_ali_dev place_cd_ali_test place_cd_ali_train
cd ..
. cmd.sh
. path.sh

#copy-feats ark:ark/train.ark.txt ark,scp:/home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/data-fbank/train/train.ark,/home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/data-fbank/train/feats.scp
#copy-feats ark:ark/cv.ark.txt ark,scp:/home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/data-fbank/develop/cv.ark,/home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/data-fbank/develop/feats.scp
#copy-feats ark:ark/test.ark.txt ark,scp:/home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/data-fbank/test/test.ark,/home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/data-fbank/test/feats.scp

cd exp
cd place_cd_ali_train
gzip -c ../../ark/ali_train_labs.ark > ali.1.gz
cd ../place_cd_ali_test
gzip -c ../../ark/ali_test_labs.ark > ali.1.gz
cd ../place_cd_ali_dev 
gzip -c ../../ark/ali_cv_labs.ark > ali.1.gz
cd /home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/
dir=exp/place_pretrain-dbn
#pretraining
$cuda_cmd $dir/log/pretrain_dbn.log steps/nnet/pretrain_dbn.sh --rbm-iter 3 data-fbank/train/ $dir > pre.log
#fine tuning
dir=exp/place_pretrain-dbn-dnn
ali_train=exp/place_cd_ali_train 
ali_cv=exp/place_cd_ali_dev
feature_transform=exp/place_pretrain-dbn/final.feature_transform 

dbn=exp/place_pretrain-dbn/6.dbn

$cuda_cmd $dir/log/train_nnet.log steps/nnet/train.sh --feature-transform $feature_transform --dbn $dbn --hid-layers 0 --learn-rate 0.008 data-fbank/train data-fbank/develop data-fbank/lang $ali_train $ali_cv $dir > train.log

mkdir /home/studenter/oyststa/LRE/backend/deepnetwork/place/"CI_5_non_compacted_${iteration}"
cp /home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/exp/place_pretrain-dbn-dnn/final.nnet /home/studenter/oyststa/LRE/backend/deepnetwork/place/"CI_5_non_compacted_${iteration}"/
cp /home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/exp/place_pretrain-dbn-dnn/final.feature_transform /home/studenter/oyststa/LRE/backend/deepnetwork/place/"CI_5_non_compacted_${iteration}"/
tar -cvf /prosjekt/studenter/oyststa/EXPs/CI_5_non_compacted_${iteration}.tar.gz /home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/exp
