# #!/bin/bash
#
# #
# #test input arguments
# #check if files exists and if iterations is a number
# if [[ $iterations =~ ^-?[0-9]+$ ]]; then
# 	echo "---Starting process.....";
# else
# 	printf "Usage: ./realign_train.sh <num of iterations>\n"
# 	exit 1
# fi

#First make the .ark file from the very first training, to subsequently do realignment

####NEW - KALDI FIRST FORWARD PASS

# cd /home/studenter/oyststa/LRE/create_place/EYSTEIN
# ./masterplace.sh RC no yes yes
#
# cd /home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/scripts
#     echo "Forwarding Phase 0"
# /home/studenter/oyststa/kaldi-trunk/src/nnetbin/nnet-forward --apply-log=true --use-gpu=yes --feature-transform=/home/studenter/oyststa/LRE/backend/deepnetwork/place/RC_5_non_compacted_0/final.feature_transform /home/studenter/oyststa/LRE/backend/deepnetwork/place/RC_5_non_compacted_0/final.nnet \
# ark:"/home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/data-fbank/train/train.ark" ark:"/home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/arks/OGI_train_out.ark"
#
# /home/studenter/oyststa/kaldi-trunk/src/nnetbin/nnet-forward --apply-log=true --use-gpu=yes --feature-transform=/home/studenter/oyststa/LRE/backend/deepnetwork/place/RC_5_non_compacted_0/final.feature_transform /home/studenter/oyststa/LRE/backend/deepnetwork/place/RC_5_non_compacted_0/final.nnet \
# ark:"/home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/data-fbank/develop/cv.ark" ark:"/home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/arks/OGI_cv_out.ark"
#
# /home/studenter/oyststa/kaldi-trunk/src/nnetbin/nnet-forward --apply-log=true --use-gpu=yes --feature-transform=/home/studenter/oyststa/LRE/backend/deepnetwork/place/RC_5_non_compacted_0/final.feature_transform /home/studenter/oyststa/LRE/backend/deepnetwork/place/RC_5_non_compacted_0/final.nnet \
# ark:"/home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/data-fbank/test/test.ark" ark:"/home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/arks/OGI_test_out.ark"
# # # ###END NEW PART

#loop over iterations
for i in {3..6}; do
	j=$[i-1]
if [ $i -eq 1 ]; then
	cp /home/studenter/oyststa/LRE/Pfile2Kaldi/create_kaldi/out/timit_0-16k_23mel_1st/pfiles/train.pfile /home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/originalpfiles/train.pfile
	cp /home/studenter/oyststa/LRE/Pfile2Kaldi/create_kaldi/out/timit_0-16k_23mel_1st/pfiles/test.pfile /home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/originalpfiles/test.pfile
	cp /home/studenter/oyststa/LRE/Pfile2Kaldi/create_kaldi/out/timit_0-16k_23mel_1st/pfiles/cv.pfile /home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/originalpfiles/cv.pfile
else
	cp "/home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/realigned/train${j}.pfile" /home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/originalpfiles/train.pfile
	cp "/home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/realigned/test${j}.pfile" /home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/originalpfiles/test.pfile
	cp "/home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/realigned/cv${j}.pfile" /home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/originalpfiles/cv.pfile

	
	echo "Forwarding phase $j"
	####NEW - KALDI J'TH FORWARD PASS
	/home/studenter/oyststa/kaldi-trunk/src/nnetbin/nnet-forward --apply-log=true --use-gpu=yes --feature-transform="/home/studenter/oyststa/LRE/backend/deepnetwork/place/RC_5_non_compacted_${j}/final.feature_transform" "/home/studenter/oyststa/LRE/backend/deepnetwork/place/RC_5_non_compacted_${j}/final.nnet" \
	ark:"/home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/data-fbank/train/train.ark" ark:"/home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/arks/OGI_train_out.ark"

	/home/studenter/oyststa/kaldi-trunk/src/nnetbin/nnet-forward --apply-log=true --use-gpu=yes --feature-transform="/home/studenter/oyststa/LRE/backend/deepnetwork/place/RC_5_non_compacted_${j}/final.feature_transform" "/home/studenter/oyststa/LRE/backend/deepnetwork/place/RC_5_non_compacted_${j}/final.nnet" \
	ark:"/home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/data-fbank/develop/cv.ark" ark:"/home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/arks/OGI_cv_out.ark"

	/home/studenter/oyststa/kaldi-trunk/src/nnetbin/nnet-forward --apply-log=true --use-gpu=yes --feature-transform="/home/studenter/oyststa/LRE/backend/deepnetwork/place/RC_5_non_compacted_${j}/final.feature_transform" "/home/studenter/oyststa/LRE/backend/deepnetwork/place/RC_5_non_compacted_${j}/final.nnet" \
	ark:"/home/studenter/oyststa/kaldi-trunk/egs/ogi/s5/data-fbank/test/test.ark" ark:"/home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/arks/OGI_test_out.ark"
	###END NEW PART
fi

for set in "train" "cv" "test"; do
cd /home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/scripts
perl prior_pfile.pl "../originalpfiles/${set}.pfile" ../dict/dict ../priors/"priors_reali${j}_${set}" #find priors
perl post2pfile.pl "../arks/OGI_${set}_out.ark" "../posteriori/post_reali${i}_${set}.pfile" #make new posteriorfile
pfile_realign -i "../originalpfiles/${set}.pfile" -o "../realigned/${set}${i}.pfile" -p "../posteriori/post_reali${i}_${set}.pfile" -v=true -l #realign
done

#now let's do the training
cd /home/studenter/oyststa/LRE/Pfile2Kaldi/create_kaldi
./eyscript_realign.sh $i
cd /home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/scripts

./kaldtrain.sh $i

done

#last priors for the i'th iteration
for set in "train" "cv" "test"; do
cd /home/studenter/oyststa/LRE/backend/tristates/scoring/OGI/scripts
perl prior_pfile.pl "../realigned/${set}${i}.pfile" ../dict/dict "../priors/priors_reali${i}_${set}" #find priors
done

echo "All iterations done!"


